Bug 1913331 - Import from git: Fails to detect Java builder
Summary: Import from git: Fails to detect Java builder
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Rohit Rai
QA Contact: Jaivardhan Kumar
URL:
Whiteboard:
Depends On:
Blocks: 1940905
TreeView+ depends on / blocked
 
Reported: 2021-01-06 14:27 UTC by Rohit Rai
Modified: 2021-03-19 14:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1940905 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:50:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7730 0 None closed Bug 1913331: Remove master as default branch and use only when ref is given 2021-02-08 10:28:35 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:50:43 UTC

Description Rohit Rai 2021-01-06 14:27:00 UTC
Description of problem:
Using https://github.com/sspeiche/spring-petclinic.git (which is clearly a Java project), it fails to detect it.
Prerequisites (if any, like setup, operators/versions):
Steps to Reproduce
Running 4.6.6 on AWS on my shared cluster https://console-openshift-console.apps.do.openshiftco.de/
Go to "Import from Git" flow (logged in as cluster-admin)
Paste in link https://github.com/sspeiche/spring-petclinic.git
Get result...

Actual results:
Expected results: detect java builder
Reproducibility (Always/Intermittent/Only Once): always
Build Details: 4.6.6
Additional info:

Comment 2 Jaivardhan Kumar 2021-01-13 09:34:02 UTC
Verified on 

OpenShift version
openshift-install: 4.7.0-0.nightly-2021-01-13-054018
Kubernetes version v1.20.0+32efea9

macOSX , Google chrome Version 87.0.4280.88 (Official Build) (x86_64)

Comment 5 errata-xmlrpc 2021-02-24 15:50:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.